HttpServletRequestExtension (Grails 6.0.0)

Package: org.grails.web.servlet

## [Groovy] Class HttpServletRequestExtension

- org.grails.web.servlet.HttpServletRequestExtension

-     @groovy.transform.CompileStatic
      class HttpServletRequestExtension
      extends java.lang.Object

  An extension that adds methods to the javax.servlet.http.HttpServletRequest object

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HttpServletRequestExtension ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.Object` | `each(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure c)`
    `` | `static java.lang.Object` | `find(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure<java.lang.Boolean> c)`
    `` | `static java.lang.Object` | `findAll(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure c)`
    `` | `static java.lang.Object` | `getAt(javax.servlet.http.HttpServletRequest request, java.lang.String name)`
    `` | `static java.lang.String` | `getForwardURI(javax.servlet.http.HttpServletRequest request)`
    `` | `static java.lang.Object` | `getProperty(javax.servlet.http.HttpServletRequest request, java.lang.String name)`
    `` | `static boolean` | `isGet(javax.servlet.http.HttpServletRequest request)`
    `` | `static boolean` | `isPost(javax.servlet.http.HttpServletRequest request)`
    `` | `static boolean` | `isXhr(javax.servlet.http.HttpServletRequest instance)`
    `` | `static java.lang.Object` | `propertyMissing(javax.servlet.http.HttpServletRequest request, java.lang.String name)`
    `` | `static java.lang.Object` | `propertyMissing(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.Object value)`
    `` | `static java.lang.Object` | `putAt(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.Object val)`
    `` | `static void` | `setProperty(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.Object val)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.Object property

  - ### Constructor Detail

    - #### HttpServletRequestExtension()

  - ### Method Detail

    - #### static java.lang.Object each(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure c)

    - #### static java.lang.Object find(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure<java.lang.Boolean> c)

    - #### static java.lang.Object findAll(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure c)

    - #### static java.lang.Object getAt(javax.servlet.http.HttpServletRequest request, java.lang.String name)

    - #### static java.lang.String getForwardURI(javax.servlet.http.HttpServletRequest request)

    - #### static java.lang.Object getProperty(javax.servlet.http.HttpServletRequest request, java.lang.String name)

    - #### static boolean isGet(javax.servlet.http.HttpServletRequest request)

    - #### static boolean isPost(javax.servlet.http.HttpServletRequest request)

    - #### static boolean isXhr(javax.servlet.http.HttpServletRequest instance)

    - #### static java.lang.Object propertyMissing(javax.servlet.http.HttpServletRequest request, java.lang.String name)

    - #### static java.lang.Object propertyMissing(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.Object value)

    - #### static java.lang.Object putAt(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.Object val)

    - #### static void setProperty(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.Object val)